import {
  j as a,
  D as s,
  a8 as e,
  af as t,
  w as o,
  aa as i,
  ab as r,
  a9 as l,
  v as n,
} from "./index-476be0bb.js";
function u(u, c) {
  const v = ((n, u) => {
    const c = a(),
      v = () => {
        c.value = l(n).height;
      };
    return (
      s(() => {
        if ((e(v), u)) for (let a = 1; a <= 3; a++) setTimeout(v, 100 * a);
      }),
      t(() => e(v)),
      o([i, r], v),
      c
    );
  })(u, !0);
  return (a) =>
    n(
      "div",
      {
        class: c("placeholder"),
        style: { height: v.value ? "".concat(v.value, "px") : void 0 },
      },
      [a()]
    );
}
export { u };
